program fjf114a;
type a(b:integer)=integer;

procedure p(x:integer);
begin
  if x = 3 then
    write ('O')
end;

procedure q(x:a);
begin
  if (x = 3) and (x.b = 42) then
    writeln ('K')
end;

var c:a(42);
begin
  c:=3;
  p(c);
  q(c)
end.
